Rails.application.routes.draw do
  
  namespace :panel do
    namespace :survey do
      namespace :back_end do
        resources :surveys do
          collection do
            get 'delete'
          end
          member do
            get 'export'
            get 'set_answers'
            get 'jump'
            get 'duplicate_it'
          end
          resources :answers, :controller => :surveys_answers do
            collection do
              get 'delete'
            end
          end
        end
      end
      namespace :front_end do
        resources :surveys do
          member do
            get 'result'
          end
        end
      end
    end
  end
 match "/appfront/*path" => redirect("/panel/*path")
end